class nick.yugopoMaze.GameCamera extends smashing.keithm.BaseCamera
{
   var x;
   var __dimensions;
   var y;
   var has_moved;
   var __ENFORCE_BOUNDS = true;
   var __SCROLL_TETHER_H = 80;
   var __SCROLL_TETHER_BOTTOM = 25;
   var __SCROLL_TETHER_TOP = 25;
   function GameCamera(t_data)
   {
      super(t_data);
      this.x *= this.__dimensions.CELL_WIDTH;
      this.y *= this.__dimensions.CELL_HEIGHT;
      this.refreshEdges();
      this.has_moved = true;
   }
   function update(el, player)
   {
      this.has_moved = false;
      var _loc4_ = player.nextX - this.x;
      var _loc3_ = player.nextY - this.y;
      if(_loc4_ > this.__SCROLL_TETHER_H)
      {
         this.x = player.nextX - this.__SCROLL_TETHER_H;
         this.has_moved = true;
      }
      else if(_loc4_ < - this.__SCROLL_TETHER_H)
      {
         this.x = player.nextX + this.__SCROLL_TETHER_H;
         this.has_moved = true;
      }
      if(_loc3_ > this.__SCROLL_TETHER_BOTTOM)
      {
         this.y = player.nextY - this.__SCROLL_TETHER_BOTTOM;
         this.has_moved = true;
      }
      else if(_loc3_ < - this.__SCROLL_TETHER_TOP)
      {
         this.y = player.nextY + this.__SCROLL_TETHER_TOP;
         this.has_moved = true;
      }
      this.refreshEdges();
      this.enforceBounds();
   }
   function getCellsOnscreen()
   {
      return {left:Math.floor((this.x - this.__dimensions.sc.x) / this.__dimensions.CELL_WIDTH),right:Math.ceil((this.x + this.__dimensions.sc.x) / this.__dimensions.CELL_WIDTH),top:Math.floor((this.y - this.__dimensions.sc.y) / this.__dimensions.CELL_HEIGHT),bottom:Math.floor((this.y + this.__dimensions.sc.y) / this.__dimensions.CELL_HEIGHT)};
   }
}
