class nick.yugopoMaze.Sounds extends smashing.sound.SoundEngine
{
   var __currentMusic;
   var muteSound;
   var muteMusic;
   static var __instance;
   var __DEPTH = 20;
   var __DO_OVERWRITE = false;
   function Sounds()
   {
      super();
   }
   static function init()
   {
      nick.yugopoMaze.Sounds.__instance = new nick.yugopoMaze.Sounds();
   }
   static function getInstance()
   {
      return nick.yugopoMaze.Sounds.__instance;
   }
   function generateSounds(path)
   {
      super.generateSounds(path,this.__DEPTH,this.__DO_OVERWRITE);
      this.createGroup("music");
      this.createSound("music","game_music.mp3","music");
      this.changeVolume(60,"music");
      this.createSound("pickup_nickel","nickel_clink.wav");
      this.createSound("pickup_key","transition.wav");
      this.createSound("pickup_powerup","weaponPickup.mp3");
      this.createSound("pickup_teddybear","bearSound.wav");
      this.createSound("pickup_chocolate","chocolate.wav");
      this.createSound("pickup_flower","cosmo_beautiful.wav");
      this.createSound("powerup_off","timeLow.mp3");
      this.createSound("alarm","alarm.wav");
      this.__currentMusic = "";
   }
   function playSound(name, loops)
   {
      if(this.muteSound == true)
      {
         return undefined;
      }
      super.playSound(name,loops);
   }
   function p(name)
   {
      this.playSound(name,1);
   }
   function q(name)
   {
      this.queueSound(name);
   }
   function c(name, cbpath, cbfunc)
   {
      this.callbackSound(name,1,cbpath,cbfunc);
   }
   function playMusic(name)
   {
      if(name == undefined)
      {
         name = "music";
      }
      if(this.muteMusic)
      {
         this.__currentMusic = name;
         return undefined;
      }
      if(this.__currentMusic != "" && this.__currentMusic != undefined)
      {
         this.stopMusic();
      }
      this.__currentMusic = name;
      this.playSound(this.__currentMusic,0);
   }
   function restartMusic()
   {
      if(this.muteMusic)
      {
         return undefined;
      }
      if(this.__currentMusic == "" || this.__currentMusic == undefined)
      {
         return undefined;
      }
      this.playMusic(this.__currentMusic);
   }
   function stopMusic()
   {
      this.stopSound(this.__currentMusic);
   }
   function toggleMusic()
   {
      this.muteMusic = !this.muteMusic;
      if(this.muteMusic)
      {
         this.stopMusic();
      }
      else
      {
         this.playMusic(this.__currentMusic);
      }
   }
   function playOptional(t_name)
   {
      if(!this.isQueuePlaying)
      {
         this.queueSound(t_name);
      }
   }
}
