class nick.yugopoMaze.ents.Pickup extends nick.yugopoMaze.ents.Entity
{
   var isAlive;
   var owner;
   var doRemove;
   var hdReg;
   var mc;
   var __cellX;
   var __cellY;
   var TYPE = "pickup";
   var DRAWTYPE = "pickup";
   var __DEF_ASSET = "coin_main";
   var __DEF_WIDTH = 20;
   var __DEF_HEIGHT = 30;
   var __USE_ACTUAL_DIMENSIONS = true;
   var __DEF_HD_WIDTH = 40;
   var __DEF_HD_HEIGHT = 50;
   var __USE_DIMENSIONS_AS_HD = false;
   var __USES_VELOCITY = false;
   var __DEATH_ANIMATION = "pickup";
   var value = 50;
   function Pickup(t_data)
   {
      super(t_data);
   }
   function hitReact(t_target)
   {
      if(!this.isAlive)
      {
         return undefined;
      }
      this.owner.addScore(this.value);
      this.owner.collectPickup();
      this.startDie();
      nick.yugopoMaze.Sounds.getInstance().p("pickup_nickel");
   }
   function endDie()
   {
      super.endDie();
      this.doRemove = true;
   }
   function setHDRegistration()
   {
      this.hdReg = {};
      this.hdReg.x = 0;
      this.hdReg.y = 0;
   }
   function onDraw(newmc)
   {
      super.onDraw(newmc);
      this.mc.cacheAsBitmap = true;
   }
   function toString()
   {
      return "Pickup " + this.__cellX + " , " + this.__cellY;
   }
}
