class nick.yugopoMaze.ents.Powerup extends nick.yugopoMaze.ents.Pickup
{
   var powerupType;
   var assetID;
   var isAlive;
   var owner;
   var doRemove;
   var hdReg;
   var mc;
   var __cellX;
   var __cellY;
   var TYPE = "powerup";
   var DRAWTYPE = "pickup";
   var __DEF_ASSET = "flower_main";
   var __DEF_WIDTH = 20;
   var __DEF_HEIGHT = 30;
   var __USE_ACTUAL_DIMENSIONS = true;
   var __DEF_HD_WIDTH = 35;
   var __DEF_HD_HEIGHT = 35;
   var __USE_DIMENSIONS_AS_HD = false;
   var __USES_VELOCITY = false;
   var __DEATH_ANIMATION = "pickup";
   var value = 0;
   function Powerup(t_data)
   {
      super(t_data);
      var _loc3_ = Math.random() * 3;
      if(_loc3_ <= 1)
      {
         this.powerupType = "flower";
      }
      else if(_loc3_ <= 2)
      {
         this.powerupType = "teddybear";
      }
      else
      {
         this.powerupType = "chocolate";
      }
      this.assetID = this.powerupType + "_main";
   }
   function hitReact(t_target)
   {
      if(!this.isAlive)
      {
         return undefined;
      }
      if(nick.yugopoMaze.GameState.getInstance().hasPowerup(this.powerupType))
      {
         return undefined;
      }
      this.owner.addScore(this.value);
      nick.yugopoMaze.Sounds.getInstance().p("pickup_powerup");
      nick.yugopoMaze.GameState.getInstance().addPowerup(this.powerupType);
      this.startDie();
   }
   function endDie()
   {
      super.endDie();
      this.doRemove = true;
   }
   function setHDRegistration()
   {
      this.hdReg = {};
      this.hdReg.x = 0;
      this.hdReg.y = 0;
   }
   function onDraw(newmc)
   {
      super.onDraw(newmc);
      this.mc.cacheAsBitmap = true;
   }
   function toString()
   {
      return "Pickup " + this.__cellX + " , " + this.__cellY;
   }
}
