class smashing.keithm.BaseEngine extends MovieClip
{
   var __gameStartTime;
   var __interval;
   var isPaused;
   var mouse;
   var key;
   function BaseEngine()
   {
      super();
   }
   function init()
   {
      this.__gameStartTime = getTimer();
      this.__initInterval();
      this.__initSounds();
      this.__initGameState();
      this.__initUI();
      this.__initViewport();
      this.__initMouse();
      this.__initKey();
      smashing.keithm.Messenger.registerAddress("engine",this);
   }
   function __initInterval()
   {
      this.__interval = new smashing.keithm.IntervalEngine(this,"update");
      this.__interval.startFast();
   }
   function __initSounds()
   {
   }
   function __initGameState()
   {
   }
   function __initUI()
   {
   }
   function __initViewport()
   {
   }
   function update(dt)
   {
   }
   function pause()
   {
      this.isPaused = true;
   }
   function unpause()
   {
      this.isPaused = false;
   }
   function onQuit()
   {
      stopAllSounds();
      this.destroy();
   }
   function destroy()
   {
      this.__interval.clear();
      this.__clearMouse();
      this.__clearKey();
   }
   function __initMouse()
   {
      this.mouse = {};
      this.mouse.owner = this;
      Mouse.addListener(this.mouse);
   }
   function __clearMouse()
   {
      Mouse.removeListener(this.mouse);
   }
   function mouse_up()
   {
   }
   function mouse_down()
   {
   }
   function __initKey()
   {
      this.key = {};
      this.key.owner = this;
      Key.addListener(this.key);
   }
   function __clearKey()
   {
      Key.removeListener(this.key);
   }
   function key_down()
   {
   }
   function key_up()
   {
   }
   function onMessageReceived(message, args)
   {
      this[message](args);
   }
}
