class nick.highscores.HighscoreTable extends MovieClip
{
   var __scores;
   var __player;
   var __page;
   var __totalPages;
   var playerScore_mc;
   var pagination_txt;
   var __SCORES_PER_PAGE = 10;
   function HighscoreTable()
   {
      super();
      this.showLoading();
   }
   function showLoading()
   {
      this.gotoAndStop("loading");
   }
   function showError()
   {
      this.gotoAndStop("error");
   }
   function showTable()
   {
      this.gotoAndStop("ready");
      this.emptyTable();
   }
   function init(t_scores, t_player)
   {
      this.showTable();
      this.__scores = t_scores;
      this.__player = t_player;
      this.__page = 1;
      this.__totalPages = Math.ceil(this.__scores.length / this.__SCORES_PER_PAGE);
      var _loc2_ = 0;
      while(_loc2_ < this.__scores.length)
      {
         if(this.__scores[_loc2_].name == "")
         {
            this.__totalPages = Math.ceil(_loc2_ / this.__SCORES_PER_PAGE);
            _loc2_ = this.__scores.length;
         }
         _loc2_ = _loc2_ + 1;
      }
      this.populatePlayer();
      this.populateTable();
   }
   function calculatePlayerRank()
   {
      var _loc2_ = 0;
      while(_loc2_ < this.__scores.length)
      {
         if(this.__scores[_loc2_].name == this.__player.name)
         {
            return String(_loc2_);
         }
         _loc2_ = _loc2_ + 1;
      }
      return "";
   }
   function populatePlayer()
   {
      if(this.__player.name == "" || this.__player.name == undefined || this.__player.name == null || this.__player.name == "null")
      {
         this.playerScore_mc._visible = false;
      }
      else
      {
         this.playerScore_mc._visible = true;
         this.playerScore_mc.name.text = this.__player.name;
         this.playerScore_mc.score.text = this.__player.score;
         this.playerScore_mc.rank.text = this.calculatePlayerRank();
      }
   }
   function populateTable()
   {
      var c = (this.__page - 1) * this.__SCORES_PER_PAGE;
      var loop = 1;
      while(loop <= this.__SCORES_PER_PAGE)
      {
         if(this.__scores[c].name != "")
         {
            eval(this + ".hs_" + loop).rank.text = (this.__page - 1) * 10 + loop;
            eval(this + ".hs_" + loop).name.text = this.__scores[c].name;
            eval(this + ".hs_" + loop).score.text = this.__scores[c].score;
         }
         else
         {
            eval(this + ".hs_" + loop).rank.text = "";
            eval(this + ".hs_" + loop).name.text = "";
            eval(this + ".hs_" + loop).score.text = "";
         }
         loop++;
         c++;
      }
      this.pagination_txt.text = this.__page + " of " + this.__totalPages;
      if(this.__totalPages < 1)
      {
         this.__totalPages = 1;
      }
   }
   function emptyTable()
   {
      this.playerScore_mc._visible = false;
      var loop = 1;
      while(loop <= this.__SCORES_PER_PAGE)
      {
         eval(this + ".hs_" + loop).rank.text = "";
         eval(this + ".hs_" + loop).name.text = "";
         eval(this + ".hs_" + loop).score.text = "";
         loop++;
      }
      this.pagination_txt.text = "";
   }
   function nextPage()
   {
      this.__page = this.__page + 1;
      if(this.__page > this.__totalPages)
      {
         this.__page = 1;
      }
      this.populateTable();
   }
   function prevPage()
   {
      this.__page = this.__page - 1;
      if(this.__page < 1)
      {
         this.__page = this.__totalPages;
      }
      this.populateTable();
   }
}
