class nick.yugopoMaze.cells.Cell
{
   var __cellX;
   var __cellY;
   var assetID;
   var owner;
   var drawMe;
   var mc;
   var TYPE = "cell";
   var DRAWTYPE = "cell";
   var DRAW_DEF = false;
   var __USES_VELOCITY = false;
   function Cell(t_data)
   {
      this.__cellX = t_data.x;
      this.__cellY = t_data.y;
      this.assetID = t_data.asset;
      this.owner = t_data.owner;
      this.drawMe = this.DRAW_DEF;
   }
   function canPass(entity)
   {
      return true;
   }
   function drawToMap(map)
   {
      if(!this.drawMe)
      {
         return undefined;
      }
      var _loc2_ = nick.yugopoMaze.GameState.getInstance();
      var _loc4_ = this.__cellX * _loc2_.CELL_WIDTH + _loc2_.CELL_WIDTH_HALF;
      var _loc3_ = this.__cellY * _loc2_.CELL_HEIGHT + _loc2_.CELL_HEIGHT_HALF;
      this.mc = map.attachCellMovieclip(this.assetID,_loc4_,_loc3_);
   }
   function get x()
   {
      return this.__cellX;
   }
   function get y()
   {
      return this.__cellY;
   }
   function toString()
   {
      return "Cell " + this.__cellX + " , " + this.__cellY;
   }
}
