class nick.yugopoMaze.ents.ZapTile extends nick.yugopoMaze.ents.Entity
{
   var __isZapping;
   var __zapTimer;
   var mc;
   var hdReg;
   var TYPE = "zaptile";
   var DRAWTYPE = "patch";
   var __DEF_WIDTH = 58;
   var __DEF_HEIGHT = 58;
   var __USE_ACTUAL_DIMENSIONS = false;
   var __DEF_HD_WIDTH = 40;
   var __DEF_HD_HEIGHT = 50;
   var __USE_DIMENSIONS_AS_HD = false;
   var __DEF_ASSET = "laser_tile";
   var __USES_VELOCITY = false;
   var __ZAP_TIMER_MAX = 2.5;
   function ZapTile(t_data)
   {
      super(t_data);
   }
   function init(t_data)
   {
      super.init(t_data);
      this.__isZapping = false;
      this.__zapTimer = Math.random() * this.__ZAP_TIMER_MAX;
   }
   function update(dt)
   {
      this.__zapTimer -= dt;
      if(this.__zapTimer < 0)
      {
         this.__isZapping = !this.__isZapping;
         if(this.__isZapping)
         {
            this.__zapTimer = this.__ZAP_TIMER_MAX / 2;
         }
         else
         {
            this.__zapTimer = this.__ZAP_TIMER_MAX;
         }
         this.animate();
      }
   }
   function animate()
   {
      if(this.__isZapping)
      {
         this.mc.gotoAndStop("active");
      }
      else
      {
         this.mc.gotoAndStop("idle");
      }
   }
   function animateLoop()
   {
      this.animate();
   }
   function isZapping()
   {
      return this.__isZapping;
   }
   function setHDRegistration()
   {
      this.hdReg = {};
      this.hdReg.x = 0;
      this.hdReg.y = 0;
   }
}
