class nick.yugopoMaze.levels.LevelData
{
   var walls;
   var aliens;
   var scenery;
   var __noFillSpaces;
   var __loop;
   var grid_height;
   var __bloop;
   var __nloop;
   var grid_width;
   var __fillWall;
   var __latest_noFillSpaces;
   var __alienProbabilty;
   var __ALIEN_PROBABILIY_BASE = 0.85;
   var __ALIEN_PROBABILTY_DECAY = 0.08;
   function LevelData()
   {
   }
   function loadData(t_data)
   {
      this.walls = [];
      this.aliens = [];
      this.scenery = [];
   }
   function getRandomCell(min, max)
   {
      return Math.floor(min + Math.random() * (max - min));
   }
   function placeWalls(nodes)
   {
      var _loc6_ = "wall1_mc";
      var _loc7_ = Math.ceil(nick.yugopoMaze.GameState.getInstance().levelNum / 5);
      if(_loc7_ % 4 == 0)
      {
         _loc6_ = "wall4_mc";
      }
      else if(_loc7_ % 3 == 0)
      {
         _loc6_ = "wall3_mc";
      }
      else if(_loc7_ % 2 == 0)
      {
         _loc6_ = "wall2_mc";
      }
      this.__noFillSpaces = 0;
      this.__loop = this.grid_height;
      while(this.__loop--)
      {
         trace("Fill Row Y : " + this.__loop + " -------");
         this.__bloop = 0;
         nodes[this.__loop].sortOn("leftX",Array.NUMERIC);
         this.__nloop = 0;
         while(this.__nloop < nodes[this.__loop].length)
         {
            trace(nodes[this.__loop][this.__nloop]);
            this.__nloop = this.__nloop + 1;
         }
         while(this.__bloop < this.grid_width)
         {
            this.__fillWall = true;
            if(this.__loop > 0)
            {
               this.__nloop = 0;
               while(this.__nloop < nodes[this.__loop].length)
               {
                  if(this.__bloop == nodes[this.__loop][this.__nloop].leftX)
                  {
                     this.__latest_noFillSpaces = nodes[this.__loop][this.__nloop].getNoFillSpaces();
                     if(this.__noFillSpaces < this.__latest_noFillSpaces)
                     {
                        this.__noFillSpaces = this.__latest_noFillSpaces;
                     }
                  }
                  this.__nloop = this.__nloop + 1;
               }
            }
            if(this.__noFillSpaces > 0)
            {
               this.__fillWall = false;
               this.__noFillSpaces = this.__noFillSpaces - 1;
            }
            if(this.__fillWall)
            {
               this.walls.push({type:_loc6_,x:this.__bloop,y:this.__loop});
            }
            this.__bloop = this.__bloop + 1;
         }
      }
   }
   function placeAliens(nodes)
   {
      var _loc5_ = [];
      var _loc4_ = undefined;
      var _loc2_ = undefined;
      var _loc3_ = undefined;
      this.__alienProbabilty = this.__ALIEN_PROBABILIY_BASE;
      this.__loop = nodes.length;
      while(this.__loop--)
      {
         this.__nloop = nodes[this.__loop].length;
         while(this.__nloop--)
         {
            _loc3_ = nodes[this.__loop][this.__nloop];
            if(_loc3_.nodeType == "room")
            {
               if(Math.random() <= this.__alienProbabilty)
               {
                  this.__alienProbabilty -= this.__ALIEN_PROBABILTY_DECAY;
                  _loc2_ = Math.floor(Math.random() * (_loc3_.roomHeight - 1));
                  if(_loc2_ > _loc3_.roomHeight - 1)
                  {
                     _loc2_ = _loc3_.roomHeight - 1;
                  }
                  _loc2_ = _loc3_.y - _loc2_;
                  _loc4_ = true;
                  this.__bloop = _loc5_.length;
                  while(this.__bloop--)
                  {
                     if(_loc5_[this.__bloop] == _loc2_)
                     {
                        _loc4_ = false;
                        this.__bloop = 0;
                     }
                  }
                  if(_loc2_ <= 1 || _loc2_ >= 18)
                  {
                     _loc4_ = false;
                  }
                  if(_loc4_ == true)
                  {
                     this.aliens.push({x:_loc3_.x,y:_loc2_,pathWidth:_loc3_.roomWidth,pathHeight:_loc3_.roomHeight - (_loc3_.y - _loc2_),pathAnchor:_loc3_.roomAnchor});
                     _loc5_.push(_loc2_);
                  }
               }
            }
         }
      }
   }
}
