class nick.yugopoMaze.ui.GamePlay extends nick.yugopoMaze.ui.Screen
{
   var __state;
   var __fromHelpScreen;
   var __isClosed;
   var ui;
   var __isClosing;
   var __mc;
   var __isOpening;
   var __HAS_OUTRO = true;
   var DOES_UPDATE = true;
   function GamePlay(mc, ui, fromHelpScreen)
   {
      super(mc,ui);
      this.__state = nick.yugopoMaze.GameState.getInstance();
      this.__fromHelpScreen = fromHelpScreen;
   }
   function close(skipOutro)
   {
      if(this.__isClosed)
      {
         this.ui.onScreenClosed();
         return undefined;
      }
      if(skipOutro != true)
      {
         this.__isClosing = true;
         this.__mc.irisOut_mc.gotoAndPlay(2);
      }
      else
      {
         this.onClosed();
      }
   }
   function onOpened()
   {
      super.onOpened();
      this.__mc.quit_confirm.yes_btn.onRelease = function()
      {
         smashing.keithm.Messenger.sendMessage("engine","gameOver");
      };
      this.__mc.quit_confirm.no_btn.onRelease = function()
      {
         smashing.keithm.Messenger.sendMessage("screen","onCancelQuit");
      };
      this.__mc.quit_confirm._visible = false;
      this.__mc.flower_icon.onRelease = function()
      {
         smashing.keithm.Messenger.sendMessage("world","clickPowerup",{type:"flower"});
      };
      this.__mc.choco_icon.onRelease = function()
      {
         smashing.keithm.Messenger.sendMessage("world","clickPowerup",{type:"chocolate"});
      };
      this.__mc.bear_icon.onRelease = function()
      {
         smashing.keithm.Messenger.sendMessage("world","clickPowerup",{type:"teddybear"});
      };
      this.updateMuteButton({isMuted:nick.yugopoMaze.Sounds.getInstance().muteMusic});
      this.__mc.menu_mc.help_btn.onRelease = function()
      {
         smashing.keithm.Messenger.sendMessage("engine","showHelp");
      };
      this.__mc.menu_mc.quit_btn.onRelease = function()
      {
         smashing.keithm.Messenger.sendMessage("screen","onPressQuit");
      };
      if(this.__fromHelpScreen != true)
      {
         this.__mc.irisIn_mc.gotoAndPlay(2);
         this.__mc.levelDisplay_mc.gotoAndPlay(2);
         this.__mc.levelDisplay_mc.level_mc.txt_level.text = this.__state.levelNum;
      }
      this.update(0,true);
   }
   function updateMuteButton(args)
   {
      if(args.isMuted)
      {
         this.__mc.menu_mc.sound_btn.gotoAndStop("off");
      }
      else
      {
         this.__mc.menu_mc.sound_btn.gotoAndStop("on");
      }
      this.__mc.menu_mc.sound_btn.btn.onRelease = function()
      {
         smashing.keithm.Messenger.sendMessage("engine","toggleMusic");
      };
   }
   function onPressQuit()
   {
      this.__mc.quit_confirm._visible = true;
      smashing.keithm.Messenger.sendMessage("engine","pause");
   }
   function onCancelQuit()
   {
      this.__mc.quit_confirm._visible = false;
      smashing.keithm.Messenger.sendMessage("engine","unpause");
   }
   function showInsufficientPickups(args)
   {
      if(this.__mc.pickupDisplay_mc._currentFrame > 1)
      {
         return undefined;
      }
      this.__mc.pickupDisplay_mc.gotoAndPlay(2);
      if(args.needed == 1)
      {
         this.__mc.pickupDisplay_mc.level_mc.txt.text = "You need " + args.needed + " more nickel!";
      }
      else
      {
         this.__mc.pickupDisplay_mc.level_mc.txt.text = "You need " + args.needed + " more nickels!";
      }
   }
   function showMissingKey()
   {
      if(this.__mc.pickupDisplay_mc._currentFrame > 1)
      {
         return undefined;
      }
      this.__mc.pickupDisplay_mc.gotoAndPlay(2);
      this.__mc.pickupDisplay_mc.level_mc.txt.text = "You need the Blast Key!";
   }
   function showWendysEffect(t_data)
   {
      if(this.__mc.pickupDisplay_mc._currentFrame > 1)
      {
         return undefined;
      }
      this.__mc.pickupDisplay_mc.gotoAndPlay(2);
      if(t_data.effect == "nuke")
      {
         this.__mc.pickupDisplay_mc.level_mc.txt.text = "Poof!";
      }
      else if(t_data.effect == "ghost")
      {
         this.__mc.pickupDisplay_mc.level_mc.txt.text = "Ghosted!";
      }
      else if(t_data.effect == "speed")
      {
         this.__mc.pickupDisplay_mc.level_mc.txt.text = "Turbo!";
      }
   }
   function update(dt, forceUpdate)
   {
      if(this.__isOpening)
      {
         if(this.__mc._currentFrame >= this.__OPENED_FRAME)
         {
            this.onOpened();
         }
      }
      else if(this.__isClosing)
      {
         if(this.__mc.irisOut_mc._currentFrame == this.__mc.irisOut_mc._totalFrames)
         {
            this.onClosed();
         }
      }
      this.__mc.timer_mc.mcBar.gotoAndStop(Math.floor((1 - this.__state.getTimeRatio()) * 100));
      if(this.__state.hasChanged || forceUpdate == true)
      {
         this.__mc.score_mc.txt_score.text = this.__state.score;
         this.__mc.lives_mc.numbers_mc.gotoAndStop(this.__state.lives);
         if(this.__state.hasFlower)
         {
            this.__mc.flower_icon._visible = true;
         }
         else
         {
            this.__mc.flower_icon._visible = false;
         }
         if(this.__state.hasBear)
         {
            this.__mc.bear_icon._visible = true;
         }
         else
         {
            this.__mc.bear_icon._visible = false;
         }
         if(this.__state.hasChoco)
         {
            this.__mc.choco_icon._visible = true;
         }
         else
         {
            this.__mc.choco_icon._visible = false;
         }
      }
   }
   function chargeKey()
   {
      this.__mc.key_mc.chargeBar.gotoAndPlay(2);
   }
}
